include_directories(${LIB_CONFIG_INCLUDE_PATH})

include_directories(${LIB_NETWORK_INCLUDE_PATH})
aux_source_directory(./ SRC)

include_directories(${LIB_COMMON_INCLUDE_PATH})
include_directories(${LIB_PLATFORM_INCLUDE_PATH})
include_directories(${LIB_MBEDTLS_INCLUDE_PATH})
include_directories(${LIB_LOG_INCLUDE_PATH})


add_library(${MQTT_NETWORK} STATIC ${SRC})